## DOCUMENTATION

This is a baseline model of threshold public goods games. In each round, all agents are granted a budget of size set in GUI. Then they decide on how much they contribute to public goods and how much they keep. Public goods are provided only if the sum of contributions meets or exceeds the threshold defined in the GUI. After each round agents evaluate their strategy and payoff from this strategy.

![Diagram](diagram.jpg)


### GUI Parameters:

#### General settings

**Groups count** -- defines number of separate groups per simulation
**Group size** -- number of players in each group per simulation
**Budget A and Budget B** -- agents are divided into two parts (A and B) for each group, for which different budget can be assigned
**Multiplicator** -- in a case of provision, how much increase a vule of contributions
**X-times** -- number of rounds per simulation
**Grant threshold** -- minimum amount of total contributions needed in order to provide public good
**Penalization** -- penalization fee in a case that public good is not provided and penalization type is set to fixed penalization
**Penalization type** -- implemented two types of penalization for case when sum of contributions are lower than **Grant thresold**:
lose whole grant or fixed penalization
**Decision method** -- learning mechanizm for agents on how to decide level of contribution
**Log filename** -- name of the log file with simulation results

#### Roth-Erev parameters

**Strategy step** -- agent strategies are defined by dividing agent budget with strategy step number and adding no contribution (i.e. contribution of size zero) 
**e parameter** -- experimentation parameter influences probability for trying other than optimal strategy
**r parameter** -- recency parameter influences how are previous experiences taken into consideration


